Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class XMLDocumentContainer

    java.lang.Object
      |
      +--org.apache.commons.jxpath.XMLDocumentContainer

All Implemented Interfaces:
  Container

Deprecated. 1.1 Please use org.apache.commons.jxpath.xml.DocumentContainer

public class XMLDocumentContainer
extends java.lang.Object
implements Container

An XML document container reads and parses XML only when it is accessed. JXPath traverses Containers transparently - you use the same paths to access objects in containers as you do to access those objects directly. You can create XMLDocumentContainers for various XML documents that may or may not be accessed by XPaths. If they are, they will be automatically read, parsed and traversed. If they are not - they won't be read at all.

Version:
  $Revision: 1.9 $ $Date: 2003/03/11 00:59:12 $
Author:
  Dmitri Plotnikov

Constructor Summary
`XMLDocumentContainer(javax.xml.transform.Source source)` Deprecated.
`XMLDocumentContainer(java.net.URL xmlURL)` Deprecated.

Method Summary
`java.lang.Object` | `getValue()` Deprecated. Reads XML, caches it internally and returns the Document.
`void` | `setValue(java.lang.Object value)` Deprecated. Throws an UnsupportedOperationException

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDocumentContainer

    public XMLDocumentContainer(java.net.URL xmlURL)

  Deprecated.
  Parameters:
    `URL` - is a URL for an XML file. Use getClass().getResource (resourceName) to load XML from a resource file.

### XMLDocumentContainer

    public XMLDocumentContainer(javax.xml.transform.Source source)

  Deprecated.

Method Detail

### getValue

    public java.lang.Object getValue()

  Deprecated.
  Reads XML, caches it internally and returns the Document.
  Specified by:
    `getValue` in interface `Container`

### setValue

    public void setValue(java.lang.Object value)

  Deprecated.
  Throws an UnsupportedOperationException
  Specified by:
    `setValue` in interface `Container`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.